Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.message.body.content
Class MessageBodyTypeNames

    java.lang.Object
      org.jboss.soa.esb.message.body.content.MessageBodyTypeNames

    public class MessageBodyTypeNames

extends java.lang.Object

WARNING: This class represents a list of reserved Body property names and associated values. Standard developers must not use the property names mentioned and must not modify any associated entries. Normal execution of the ESB may be adversely affected!

Field Summary
`static java.lang.String` | `COMMAND_TYPE`
`static java.lang.String` | `INVOKER_REQUEST`
`static java.lang.String` | `INVOKER_RESPONSE`
`static java.lang.String` | `METHODINVOKE_REQUEST`
`static java.lang.String` | `METHODINVOKE_RESPONSE`
`static java.lang.String` | `OPERATIONS_REQUEST`
`static java.lang.String` | `OPERATIONS_RESPONSE`
`static java.lang.String` | `STATISTICS_REQUEST`
`static java.lang.String` | `STATISTICS_RESPONSE`

Constructor Summary
`MessageBodyTypeNames()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMMAND_TYPE

    public static final java.lang.String COMMAND_TYPE

See Also:
  Constant Field Values

### STATISTICS_REQUEST

    public static final java.lang.String STATISTICS_REQUEST

See Also:
  Constant Field Values

### STATISTICS_RESPONSE

    public static final java.lang.String STATISTICS_RESPONSE

See Also:
  Constant Field Values

### METHODINVOKE_REQUEST

    public static final java.lang.String METHODINVOKE_REQUEST

See Also:
  Constant Field Values

### METHODINVOKE_RESPONSE

    public static final java.lang.String METHODINVOKE_RESPONSE

See Also:
  Constant Field Values

### OPERATIONS_REQUEST

    public static final java.lang.String OPERATIONS_REQUEST

See Also:
  Constant Field Values

### OPERATIONS_RESPONSE

    public static final java.lang.String OPERATIONS_RESPONSE

See Also:
  Constant Field Values

### INVOKER_REQUEST

    public static final java.lang.String INVOKER_REQUEST

See Also:
  Constant Field Values

### INVOKER_RESPONSE

    public static final java.lang.String INVOKER_RESPONSE

See Also:
  Constant Field Values

Constructor Detail

### MessageBodyTypeNames

    public MessageBodyTypeNames()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD